| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Attributes | List of all members
GDataRecord4000 Struct Reference

Data record struct for DMC-4000 controllers, including 4000, 4200, 4103, and 500x0. More...

`#include <gclib_record.h>`

## Public Attributes
UB | header_0
| 1st Byte of Header.
UB | header_1
| 2nd Byte of Header.
UB | header_2
| 3rd Byte of Header.
UB | header_3
| 4th Byte of Header.
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | input_bank_2
| general input bank 2 (inputs 17-24).
UB | input_bank_3
| general input bank 3 (inputs 25-32).
UB | input_bank_4
| general input bank 4 (inputs 33-40).
UB | input_bank_5
| general input bank 5 (inputs 41-48).
UB | input_bank_6
| general input bank 6 (inputs 49-56).
UB | input_bank_7
| general input bank 7 (inputs 57-64).
UB | input_bank_8
| general input bank 8 (inputs 65-72).
UB | input_bank_9
| general input bank 9 (inputs 73-80).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | output_bank_2
| general output bank 2 (outputs 17-24).
UB | output_bank_3
| general output bank 3 (outputs 25-32).
UB | output_bank_4
| general output bank 4 (outputs 33-40).
UB | output_bank_5
| general output bank 5 (outputs 41-48).
UB | output_bank_6
| general output bank 6 (outputs 49-56).
UB | output_bank_7
| general output bank 7 (outputs 57-64).
UB | output_bank_8
| general output bank 8 (outputs 65-72).
UB | output_bank_9
| general output bank 9 (outputs 73-80).
SW | reserved_0
| Reserved.
SW | reserved_2
| Reserved.
SW | reserved_4
| Reserved.
SW | reserved_6
| Reserved.
SW | reserved_8
| Reserved.
SW | reserved_10
| Reserved.
SW | reserved_12
| Reserved.
SW | reserved_14
| Reserved.
UB | ethernet_status_a
| Ethernet Handle A Status.
UB | ethernet_status_b
| Ethernet Handle B Status.
UB | ethernet_status_c
| Ethernet Handle C Status.
UB | ethernet_status_d
| Ethernet Handle D Status.
UB | ethernet_status_e
| Ethernet Handle E Status.
UB | ethernet_status_f
| Ethernet Handle F Status.
UB | ethernet_status_g
| Ethernet Handle G Status.
UB | ethernet_status_h
| Ethernet Handle H Status.
UB | error_code
| error code.
UB | thread_status
| thread status
UL | amplifier_status
| Amplifier Status.
UL | contour_segment_count
| Segment Count for Contour Mode.
UW | contour_buffer_available
| Buffer space remaining, Contour Mode.
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | s_plane_buffer_available
| Buffer space remaining, S Plane.
UW | t_plane_segment_count
| segment count of coordinated move for T plane.
UW | t_plane_move_status
| Coordinated move status for T plane.
SL | t_distance
| distance traveled in coordinated move for T plane.
UW | t_plane_buffer_available
| Buffer space remaining, T Plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SL | axis_a_torque
| A axis torque.
UW | axis_a_analog_in
| A axis analog input.
UB | axis_a_halls
| A Hall Input Status.
UB | axis_a_reserved
| Reserved.
SL | axis_a_variable
| A User-defined variable (ZA).
UW | axis_b_status
| B axis status.
UB | axis_b_switches
| B axis switches.
UB | axis_b_stop_code
| B axis stop code.
SL | axis_b_reference_position
| B axis reference position.
SL | axis_b_motor_position
| B axis motor position.
SL | axis_b_position_error
| B axis position error.
SL | axis_b_aux_position
| B axis auxiliary position.
SL | axis_b_velocity
| B axis velocity.
SL | axis_b_torque
| B axis torque.
UW | axis_b_analog_in
| B axis analog input.
UB | axis_b_halls
| B Hall Input Status.
UB | axis_b_reserved
| Reserved.
SL | axis_b_variable
| B User-defined variable (ZA).
UW | axis_c_status
| C axis status.
UB | axis_c_switches
| C axis switches.
UB | axis_c_stop_code
| C axis stop code.
SL | axis_c_reference_position
| C axis reference position.
SL | axis_c_motor_position
| C axis motor position.
SL | axis_c_position_error
| C axis position error.
SL | axis_c_aux_position
| C axis auxiliary position.
SL | axis_c_velocity
| C axis velocity.
SL | axis_c_torque
| C axis torque.
UW | axis_c_analog_in
| C axis analog input.
UB | axis_c_halls
| C Hall Input Status.
UB | axis_c_reserved
| Reserved.
SL | axis_c_variable
| C User-defined variable (ZA).
UW | axis_d_status
| D axis status.
UB | axis_d_switches
| D axis switches.
UB | axis_d_stop_code
| D axis stop code.
SL | axis_d_reference_position
| D axis reference position.
SL | axis_d_motor_position
| D axis motor position.
SL | axis_d_position_error
| D axis position error.
SL | axis_d_aux_position
| D axis auxiliary position.
SL | axis_d_velocity
| D axis velocity.
SL | axis_d_torque
| D axis torque.
UW | axis_d_analog_in
| D axis analog input.
UB | axis_d_halls
| D Hall Input Status.
UB | axis_d_reserved
| Reserved.
SL | axis_d_variable
| D User-defined variable (ZA).
UW | axis_e_status
| E axis status.
UB | axis_e_switches
| E axis switches.
UB | axis_e_stop_code
| E axis stop code.
SL | axis_e_reference_position
| E axis reference position.
SL | axis_e_motor_position
| E axis motor position.
SL | axis_e_position_error
| E axis position error.
SL | axis_e_aux_position
| E axis auxiliary position.
SL | axis_e_velocity
| E axis velocity.
SL | axis_e_torque
| E axis torque.
UW | axis_e_analog_in
| E axis analog input.
UB | axis_e_halls
| E Hall Input Status.
UB | axis_e_reserved
| Reserved.
SL | axis_e_variable
| E User-defined variable (ZA).
UW | axis_f_status
| F axis status.
UB | axis_f_switches
| F axis switches.
UB | axis_f_stop_code
| F axis stop code.
SL | axis_f_reference_position
| F axis reference position.
SL | axis_f_motor_position
| F axis motor position.
SL | axis_f_position_error
| F axis position error.
SL | axis_f_aux_position
| F axis auxiliary position.
SL | axis_f_velocity
| F axis velocity.
SL | axis_f_torque
| F axis torque.
UW | axis_f_analog_in
| F axis analog input.
UB | axis_f_halls
| F Hall Input Status.
UB | axis_f_reserved
| Reserved.
SL | axis_f_variable
| F User-defined variable (ZA).
UW | axis_g_status
| G axis status.
UB | axis_g_switches
| G axis switches.
UB | axis_g_stop_code
| G axis stop code.
SL | axis_g_reference_position
| G axis reference position.
SL | axis_g_motor_position
| G axis motor position.
SL | axis_g_position_error
| G axis position error.
SL | axis_g_aux_position
| G axis auxiliary position.
SL | axis_g_velocity
| G axis velocity.
SL | axis_g_torque
| G axis torque.
UW | axis_g_analog_in
| G axis analog input.
UB | axis_g_halls
| G Hall Input Status.
UB | axis_g_reserved
| Reserved.
SL | axis_g_variable
| G User-defined variable (ZA).
UW | axis_h_status
| H axis status.
UB | axis_h_switches
| H axis switches.
UB | axis_h_stop_code
| H axis stop code.
SL | axis_h_reference_position
| H axis reference position.
SL | axis_h_motor_position
| H axis motor position.
SL | axis_h_position_error
| H axis position error.
SL | axis_h_aux_position
| H axis auxiliary position.
SL | axis_h_velocity
| H axis velocity.
SL | axis_h_torque
| H axis torque.
UW | axis_h_analog_in
| H axis analog input.
UB | axis_h_halls
| H Hall Input Status.
UB | axis_h_reserved
| Reserved.
SL | axis_h_variable
| H User-defined variable (ZA).

## Detailed Description

Data record struct for DMC-4000 controllers, including 4000, 4200, 4103, and 500x0.

Definition at line 31 of file gclib_record.h.

## Member Data Documentation

## ◆ header_0

UB GDataRecord4000::header_0

1st Byte of Header.

Definition at line 36 of file gclib_record.h.

## ◆ header_1

UB GDataRecord4000::header_1

2nd Byte of Header.

Definition at line 37 of file gclib_record.h.

## ◆ header_2

UB GDataRecord4000::header_2

3rd Byte of Header.

Definition at line 38 of file gclib_record.h.

## ◆ header_3

UB GDataRecord4000::header_3

4th Byte of Header.

Definition at line 39 of file gclib_record.h.

## ◆ sample_number

UW GDataRecord4000::sample_number

sample number.

Definition at line 41 of file gclib_record.h.

## ◆ input_bank_0

UB GDataRecord4000::input_bank_0

general input bank 0 (inputs 1-8).

Definition at line 43 of file gclib_record.h.

## ◆ input_bank_1

UB GDataRecord4000::input_bank_1

general input bank 1 (inputs 9-16).

Definition at line 44 of file gclib_record.h.

## ◆ input_bank_2

UB GDataRecord4000::input_bank_2

general input bank 2 (inputs 17-24).

Definition at line 45 of file gclib_record.h.

## ◆ input_bank_3

UB GDataRecord4000::input_bank_3

general input bank 3 (inputs 25-32).

Definition at line 46 of file gclib_record.h.

## ◆ input_bank_4

UB GDataRecord4000::input_bank_4

general input bank 4 (inputs 33-40).

Definition at line 47 of file gclib_record.h.

## ◆ input_bank_5

UB GDataRecord4000::input_bank_5

general input bank 5 (inputs 41-48).

Definition at line 48 of file gclib_record.h.

## ◆ input_bank_6

UB GDataRecord4000::input_bank_6

general input bank 6 (inputs 49-56).

Definition at line 49 of file gclib_record.h.

## ◆ input_bank_7

UB GDataRecord4000::input_bank_7

general input bank 7 (inputs 57-64).

Definition at line 50 of file gclib_record.h.

## ◆ input_bank_8

UB GDataRecord4000::input_bank_8

general input bank 8 (inputs 65-72).

Definition at line 51 of file gclib_record.h.

## ◆ input_bank_9

UB GDataRecord4000::input_bank_9

general input bank 9 (inputs 73-80).

Definition at line 52 of file gclib_record.h.

## ◆ output_bank_0

UB GDataRecord4000::output_bank_0

general output bank 0 (outputs 1-8).

Definition at line 54 of file gclib_record.h.

## ◆ output_bank_1

UB GDataRecord4000::output_bank_1

general output bank 1 (outputs 9-16).

Definition at line 55 of file gclib_record.h.

## ◆ output_bank_2

UB GDataRecord4000::output_bank_2

general output bank 2 (outputs 17-24).

Definition at line 56 of file gclib_record.h.

## ◆ output_bank_3

UB GDataRecord4000::output_bank_3

general output bank 3 (outputs 25-32).

Definition at line 57 of file gclib_record.h.

## ◆ output_bank_4

UB GDataRecord4000::output_bank_4

general output bank 4 (outputs 33-40).

Definition at line 58 of file gclib_record.h.

## ◆ output_bank_5

UB GDataRecord4000::output_bank_5

general output bank 5 (outputs 41-48).

Definition at line 59 of file gclib_record.h.

## ◆ output_bank_6

UB GDataRecord4000::output_bank_6

general output bank 6 (outputs 49-56).

Definition at line 60 of file gclib_record.h.

## ◆ output_bank_7

UB GDataRecord4000::output_bank_7

general output bank 7 (outputs 57-64).

Definition at line 61 of file gclib_record.h.

## ◆ output_bank_8

UB GDataRecord4000::output_bank_8

general output bank 8 (outputs 65-72).

Definition at line 62 of file gclib_record.h.

## ◆ output_bank_9

UB GDataRecord4000::output_bank_9

general output bank 9 (outputs 73-80).

Definition at line 63 of file gclib_record.h.

## ◆ reserved_0

SW GDataRecord4000::reserved_0

Reserved.

Definition at line 65 of file gclib_record.h.

## ◆ reserved_2

SW GDataRecord4000::reserved_2

Reserved.

Definition at line 66 of file gclib_record.h.

## ◆ reserved_4

SW GDataRecord4000::reserved_4

Reserved.

Definition at line 67 of file gclib_record.h.

## ◆ reserved_6

SW GDataRecord4000::reserved_6

Reserved.

Definition at line 68 of file gclib_record.h.

## ◆ reserved_8

SW GDataRecord4000::reserved_8

Reserved.

Definition at line 69 of file gclib_record.h.

## ◆ reserved_10

SW GDataRecord4000::reserved_10

Reserved.

Definition at line 70 of file gclib_record.h.

## ◆ reserved_12

SW GDataRecord4000::reserved_12

Reserved.

Definition at line 71 of file gclib_record.h.

## ◆ reserved_14

SW GDataRecord4000::reserved_14

Reserved.

Definition at line 72 of file gclib_record.h.

## ◆ ethernet_status_a

UB GDataRecord4000::ethernet_status_a

Ethernet Handle A Status.

Definition at line 74 of file gclib_record.h.

## ◆ ethernet_status_b

UB GDataRecord4000::ethernet_status_b

Ethernet Handle B Status.

Definition at line 75 of file gclib_record.h.

## ◆ ethernet_status_c

UB GDataRecord4000::ethernet_status_c

Ethernet Handle C Status.

Definition at line 76 of file gclib_record.h.

## ◆ ethernet_status_d

UB GDataRecord4000::ethernet_status_d

Ethernet Handle D Status.

Definition at line 77 of file gclib_record.h.

## ◆ ethernet_status_e

UB GDataRecord4000::ethernet_status_e

Ethernet Handle E Status.

Definition at line 78 of file gclib_record.h.

## ◆ ethernet_status_f

UB GDataRecord4000::ethernet_status_f

Ethernet Handle F Status.

Definition at line 79 of file gclib_record.h.

## ◆ ethernet_status_g

UB GDataRecord4000::ethernet_status_g

Ethernet Handle G Status.

Definition at line 80 of file gclib_record.h.

## ◆ ethernet_status_h

UB GDataRecord4000::ethernet_status_h

Ethernet Handle H Status.

Definition at line 81 of file gclib_record.h.

## ◆ error_code

UB GDataRecord4000::error_code

error code.

Definition at line 83 of file gclib_record.h.

## ◆ thread_status

UB GDataRecord4000::thread_status

thread status

Definition at line 84 of file gclib_record.h.

## ◆ amplifier_status

UL GDataRecord4000::amplifier_status

Amplifier Status.

Definition at line 85 of file gclib_record.h.

## ◆ contour_segment_count

UL GDataRecord4000::contour_segment_count

Segment Count for Contour Mode.

Definition at line 87 of file gclib_record.h.

## ◆ contour_buffer_available

UW GDataRecord4000::contour_buffer_available

Buffer space remaining, Contour Mode.

Definition at line 88 of file gclib_record.h.

## ◆ s_plane_segment_count

UW GDataRecord4000::s_plane_segment_count

segment count of coordinated move for S plane.

Definition at line 90 of file gclib_record.h.

## ◆ s_plane_move_status

UW GDataRecord4000::s_plane_move_status

coordinated move status for S plane.

Definition at line 91 of file gclib_record.h.

## ◆ s_distance

SL GDataRecord4000::s_distance

distance traveled in coordinated move for S plane.

Definition at line 92 of file gclib_record.h.

## ◆ s_plane_buffer_available

UW GDataRecord4000::s_plane_buffer_available

Buffer space remaining, S Plane.

Definition at line 93 of file gclib_record.h.

## ◆ t_plane_segment_count

UW GDataRecord4000::t_plane_segment_count

segment count of coordinated move for T plane.

Definition at line 95 of file gclib_record.h.

## ◆ t_plane_move_status

UW GDataRecord4000::t_plane_move_status

Coordinated move status for T plane.

Definition at line 96 of file gclib_record.h.

## ◆ t_distance

SL GDataRecord4000::t_distance

distance traveled in coordinated move for T plane.

Definition at line 97 of file gclib_record.h.

## ◆ t_plane_buffer_available

UW GDataRecord4000::t_plane_buffer_available

Buffer space remaining, T Plane.

Definition at line 98 of file gclib_record.h.

## ◆ axis_a_status

UW GDataRecord4000::axis_a_status

A axis status.

Definition at line 100 of file gclib_record.h.

## ◆ axis_a_switches

UB GDataRecord4000::axis_a_switches

A axis switches.

Definition at line 101 of file gclib_record.h.

## ◆ axis_a_stop_code

UB GDataRecord4000::axis_a_stop_code

A axis stop code.

Definition at line 102 of file gclib_record.h.

## ◆ axis_a_reference_position

SL GDataRecord4000::axis_a_reference_position

A axis reference position.

Definition at line 103 of file gclib_record.h.

## ◆ axis_a_motor_position

SL GDataRecord4000::axis_a_motor_position

A axis motor position.

Definition at line 104 of file gclib_record.h.

## ◆ axis_a_position_error

SL GDataRecord4000::axis_a_position_error

A axis position error.

Definition at line 105 of file gclib_record.h.

## ◆ axis_a_aux_position

SL GDataRecord4000::axis_a_aux_position

A axis auxiliary position.

Definition at line 106 of file gclib_record.h.

## ◆ axis_a_velocity

SL GDataRecord4000::axis_a_velocity

A axis velocity.

Definition at line 107 of file gclib_record.h.

## ◆ axis_a_torque

SL GDataRecord4000::axis_a_torque

A axis torque.

Definition at line 108 of file gclib_record.h.

## ◆ axis_a_analog_in

UW GDataRecord4000::axis_a_analog_in

A axis analog input.

Definition at line 109 of file gclib_record.h.

## ◆ axis_a_halls

UB GDataRecord4000::axis_a_halls

A Hall Input Status.

Definition at line 110 of file gclib_record.h.

## ◆ axis_a_reserved

UB GDataRecord4000::axis_a_reserved

Reserved.

Definition at line 111 of file gclib_record.h.

## ◆ axis_a_variable

SL GDataRecord4000::axis_a_variable

A User-defined variable (ZA).

Definition at line 112 of file gclib_record.h.

## ◆ axis_b_status

UW GDataRecord4000::axis_b_status

B axis status.

Definition at line 114 of file gclib_record.h.

## ◆ axis_b_switches

UB GDataRecord4000::axis_b_switches

B axis switches.

Definition at line 115 of file gclib_record.h.

## ◆ axis_b_stop_code

UB GDataRecord4000::axis_b_stop_code

B axis stop code.

Definition at line 116 of file gclib_record.h.

## ◆ axis_b_reference_position

SL GDataRecord4000::axis_b_reference_position

B axis reference position.

Definition at line 117 of file gclib_record.h.

## ◆ axis_b_motor_position

SL GDataRecord4000::axis_b_motor_position

B axis motor position.

Definition at line 118 of file gclib_record.h.

## ◆ axis_b_position_error

SL GDataRecord4000::axis_b_position_error

B axis position error.

Definition at line 119 of file gclib_record.h.

## ◆ axis_b_aux_position

SL GDataRecord4000::axis_b_aux_position

B axis auxiliary position.

Definition at line 120 of file gclib_record.h.

## ◆ axis_b_velocity

SL GDataRecord4000::axis_b_velocity

B axis velocity.

Definition at line 121 of file gclib_record.h.

## ◆ axis_b_torque

SL GDataRecord4000::axis_b_torque

B axis torque.

Definition at line 122 of file gclib_record.h.

## ◆ axis_b_analog_in

UW GDataRecord4000::axis_b_analog_in

B axis analog input.

Definition at line 123 of file gclib_record.h.

## ◆ axis_b_halls

UB GDataRecord4000::axis_b_halls

B Hall Input Status.

Definition at line 124 of file gclib_record.h.

## ◆ axis_b_reserved

UB GDataRecord4000::axis_b_reserved

Reserved.

Definition at line 125 of file gclib_record.h.

## ◆ axis_b_variable

SL GDataRecord4000::axis_b_variable

B User-defined variable (ZA).

Definition at line 126 of file gclib_record.h.

## ◆ axis_c_status

UW GDataRecord4000::axis_c_status

C axis status.

Definition at line 128 of file gclib_record.h.

## ◆ axis_c_switches

UB GDataRecord4000::axis_c_switches

C axis switches.

Definition at line 129 of file gclib_record.h.

## ◆ axis_c_stop_code

UB GDataRecord4000::axis_c_stop_code

C axis stop code.

Definition at line 130 of file gclib_record.h.

## ◆ axis_c_reference_position

SL GDataRecord4000::axis_c_reference_position

C axis reference position.

Definition at line 131 of file gclib_record.h.

## ◆ axis_c_motor_position

SL GDataRecord4000::axis_c_motor_position

C axis motor position.

Definition at line 132 of file gclib_record.h.

## ◆ axis_c_position_error

SL GDataRecord4000::axis_c_position_error

C axis position error.

Definition at line 133 of file gclib_record.h.

## ◆ axis_c_aux_position

SL GDataRecord4000::axis_c_aux_position

C axis auxiliary position.

Definition at line 134 of file gclib_record.h.

## ◆ axis_c_velocity

SL GDataRecord4000::axis_c_velocity

C axis velocity.

Definition at line 135 of file gclib_record.h.

## ◆ axis_c_torque

SL GDataRecord4000::axis_c_torque

C axis torque.

Definition at line 136 of file gclib_record.h.

## ◆ axis_c_analog_in

UW GDataRecord4000::axis_c_analog_in

C axis analog input.

Definition at line 137 of file gclib_record.h.

## ◆ axis_c_halls

UB GDataRecord4000::axis_c_halls

C Hall Input Status.

Definition at line 138 of file gclib_record.h.

## ◆ axis_c_reserved

UB GDataRecord4000::axis_c_reserved

Reserved.

Definition at line 139 of file gclib_record.h.

## ◆ axis_c_variable

SL GDataRecord4000::axis_c_variable

C User-defined variable (ZA).

Definition at line 140 of file gclib_record.h.

## ◆ axis_d_status

UW GDataRecord4000::axis_d_status

D axis status.

Definition at line 142 of file gclib_record.h.

## ◆ axis_d_switches

UB GDataRecord4000::axis_d_switches

D axis switches.

Definition at line 143 of file gclib_record.h.

## ◆ axis_d_stop_code

UB GDataRecord4000::axis_d_stop_code

D axis stop code.

Definition at line 144 of file gclib_record.h.

## ◆ axis_d_reference_position

SL GDataRecord4000::axis_d_reference_position

D axis reference position.

Definition at line 145 of file gclib_record.h.

## ◆ axis_d_motor_position

SL GDataRecord4000::axis_d_motor_position

D axis motor position.

Definition at line 146 of file gclib_record.h.

## ◆ axis_d_position_error

SL GDataRecord4000::axis_d_position_error

D axis position error.

Definition at line 147 of file gclib_record.h.

## ◆ axis_d_aux_position

SL GDataRecord4000::axis_d_aux_position

D axis auxiliary position.

Definition at line 148 of file gclib_record.h.

## ◆ axis_d_velocity

SL GDataRecord4000::axis_d_velocity

D axis velocity.

Definition at line 149 of file gclib_record.h.

## ◆ axis_d_torque

SL GDataRecord4000::axis_d_torque

D axis torque.

Definition at line 150 of file gclib_record.h.

## ◆ axis_d_analog_in

UW GDataRecord4000::axis_d_analog_in

D axis analog input.

Definition at line 151 of file gclib_record.h.

## ◆ axis_d_halls

UB GDataRecord4000::axis_d_halls

D Hall Input Status.

Definition at line 152 of file gclib_record.h.

## ◆ axis_d_reserved

UB GDataRecord4000::axis_d_reserved

Reserved.

Definition at line 153 of file gclib_record.h.

## ◆ axis_d_variable

SL GDataRecord4000::axis_d_variable

D User-defined variable (ZA).

Definition at line 154 of file gclib_record.h.

## ◆ axis_e_status

UW GDataRecord4000::axis_e_status

E axis status.

Definition at line 156 of file gclib_record.h.

## ◆ axis_e_switches

UB GDataRecord4000::axis_e_switches

E axis switches.

Definition at line 157 of file gclib_record.h.

## ◆ axis_e_stop_code

UB GDataRecord4000::axis_e_stop_code

E axis stop code.

Definition at line 158 of file gclib_record.h.

## ◆ axis_e_reference_position

SL GDataRecord4000::axis_e_reference_position

E axis reference position.

Definition at line 159 of file gclib_record.h.

## ◆ axis_e_motor_position

SL GDataRecord4000::axis_e_motor_position

E axis motor position.

Definition at line 160 of file gclib_record.h.

## ◆ axis_e_position_error

SL GDataRecord4000::axis_e_position_error

E axis position error.

Definition at line 161 of file gclib_record.h.

## ◆ axis_e_aux_position

SL GDataRecord4000::axis_e_aux_position

E axis auxiliary position.

Definition at line 162 of file gclib_record.h.

## ◆ axis_e_velocity

SL GDataRecord4000::axis_e_velocity

E axis velocity.

Definition at line 163 of file gclib_record.h.

## ◆ axis_e_torque

SL GDataRecord4000::axis_e_torque

E axis torque.

Definition at line 164 of file gclib_record.h.

## ◆ axis_e_analog_in

UW GDataRecord4000::axis_e_analog_in

E axis analog input.

Definition at line 165 of file gclib_record.h.

## ◆ axis_e_halls

UB GDataRecord4000::axis_e_halls

E Hall Input Status.

Definition at line 166 of file gclib_record.h.

## ◆ axis_e_reserved

UB GDataRecord4000::axis_e_reserved

Reserved.

Definition at line 167 of file gclib_record.h.

## ◆ axis_e_variable

SL GDataRecord4000::axis_e_variable

E User-defined variable (ZA).

Definition at line 168 of file gclib_record.h.

## ◆ axis_f_status

UW GDataRecord4000::axis_f_status

F axis status.

Definition at line 170 of file gclib_record.h.

## ◆ axis_f_switches

UB GDataRecord4000::axis_f_switches

F axis switches.

Definition at line 171 of file gclib_record.h.

## ◆ axis_f_stop_code

UB GDataRecord4000::axis_f_stop_code

F axis stop code.

Definition at line 172 of file gclib_record.h.

## ◆ axis_f_reference_position

SL GDataRecord4000::axis_f_reference_position

F axis reference position.

Definition at line 173 of file gclib_record.h.

## ◆ axis_f_motor_position

SL GDataRecord4000::axis_f_motor_position

F axis motor position.

Definition at line 174 of file gclib_record.h.

## ◆ axis_f_position_error

SL GDataRecord4000::axis_f_position_error

F axis position error.

Definition at line 175 of file gclib_record.h.

## ◆ axis_f_aux_position

SL GDataRecord4000::axis_f_aux_position

F axis auxiliary position.

Definition at line 176 of file gclib_record.h.

## ◆ axis_f_velocity

SL GDataRecord4000::axis_f_velocity

F axis velocity.

Definition at line 177 of file gclib_record.h.

## ◆ axis_f_torque

SL GDataRecord4000::axis_f_torque

F axis torque.

Definition at line 178 of file gclib_record.h.

## ◆ axis_f_analog_in

UW GDataRecord4000::axis_f_analog_in

F axis analog input.

Definition at line 179 of file gclib_record.h.

## ◆ axis_f_halls

UB GDataRecord4000::axis_f_halls

F Hall Input Status.

Definition at line 180 of file gclib_record.h.

## ◆ axis_f_reserved

UB GDataRecord4000::axis_f_reserved

Reserved.

Definition at line 181 of file gclib_record.h.

## ◆ axis_f_variable

SL GDataRecord4000::axis_f_variable

F User-defined variable (ZA).

Definition at line 182 of file gclib_record.h.

## ◆ axis_g_status

UW GDataRecord4000::axis_g_status

G axis status.

Definition at line 184 of file gclib_record.h.

## ◆ axis_g_switches

UB GDataRecord4000::axis_g_switches

G axis switches.

Definition at line 185 of file gclib_record.h.

## ◆ axis_g_stop_code

UB GDataRecord4000::axis_g_stop_code

G axis stop code.

Definition at line 186 of file gclib_record.h.

## ◆ axis_g_reference_position

SL GDataRecord4000::axis_g_reference_position

G axis reference position.

Definition at line 187 of file gclib_record.h.

## ◆ axis_g_motor_position

SL GDataRecord4000::axis_g_motor_position

G axis motor position.

Definition at line 188 of file gclib_record.h.

## ◆ axis_g_position_error

SL GDataRecord4000::axis_g_position_error

G axis position error.

Definition at line 189 of file gclib_record.h.

## ◆ axis_g_aux_position

SL GDataRecord4000::axis_g_aux_position

G axis auxiliary position.

Definition at line 190 of file gclib_record.h.

## ◆ axis_g_velocity

SL GDataRecord4000::axis_g_velocity

G axis velocity.

Definition at line 191 of file gclib_record.h.

## ◆ axis_g_torque

SL GDataRecord4000::axis_g_torque

G axis torque.

Definition at line 192 of file gclib_record.h.

## ◆ axis_g_analog_in

UW GDataRecord4000::axis_g_analog_in

G axis analog input.

Definition at line 193 of file gclib_record.h.

## ◆ axis_g_halls

UB GDataRecord4000::axis_g_halls

G Hall Input Status.

Definition at line 194 of file gclib_record.h.

## ◆ axis_g_reserved

UB GDataRecord4000::axis_g_reserved

Reserved.

Definition at line 195 of file gclib_record.h.

## ◆ axis_g_variable

SL GDataRecord4000::axis_g_variable

G User-defined variable (ZA).

Definition at line 196 of file gclib_record.h.

## ◆ axis_h_status

UW GDataRecord4000::axis_h_status

H axis status.

Definition at line 198 of file gclib_record.h.

## ◆ axis_h_switches

UB GDataRecord4000::axis_h_switches

H axis switches.

Definition at line 199 of file gclib_record.h.

## ◆ axis_h_stop_code

UB GDataRecord4000::axis_h_stop_code

H axis stop code.

Definition at line 200 of file gclib_record.h.

## ◆ axis_h_reference_position

SL GDataRecord4000::axis_h_reference_position

H axis reference position.

Definition at line 201 of file gclib_record.h.

## ◆ axis_h_motor_position

SL GDataRecord4000::axis_h_motor_position

H axis motor position.

Definition at line 202 of file gclib_record.h.

## ◆ axis_h_position_error

SL GDataRecord4000::axis_h_position_error

H axis position error.

Definition at line 203 of file gclib_record.h.

## ◆ axis_h_aux_position

SL GDataRecord4000::axis_h_aux_position

H axis auxiliary position.

Definition at line 204 of file gclib_record.h.

## ◆ axis_h_velocity

SL GDataRecord4000::axis_h_velocity

H axis velocity.

Definition at line 205 of file gclib_record.h.

## ◆ axis_h_torque

SL GDataRecord4000::axis_h_torque

H axis torque.

Definition at line 206 of file gclib_record.h.

## ◆ axis_h_analog_in

UW GDataRecord4000::axis_h_analog_in

H axis analog input.

Definition at line 207 of file gclib_record.h.

## ◆ axis_h_halls

UB GDataRecord4000::axis_h_halls

H Hall Input Status.

Definition at line 208 of file gclib_record.h.

## ◆ axis_h_reserved

UB GDataRecord4000::axis_h_reserved

Reserved.

Definition at line 209 of file gclib_record.h.

## ◆ axis_h_variable

SL GDataRecord4000::axis_h_variable

H User-defined variable (ZA).

Definition at line 210 of file gclib_record.h.

The documentation for this struct was generated from the following file:

- gclib_record.h